{% extends "base.html" %}

{% block title %} Uprawnienia użytkownika {% endblock %}

{% block stylesheet %}
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/StylesPrivilages.css')}}">
{% endblock %}

{% block article %}
    <div class="article">
        <a class="tableButton" href="{{ url_for('locks_edit',imie=imie,nazwisko=nazwisko,user_id = users_id_users) }}">Dodaj uprawnienie</a>

        <table>
            <tr>
                <th>Imie i nazwisko</th>
                <th>ID uprawnienia</th>
                <th>Pomieszczenie</th>
                <th>Data od kiedy</th>
                <th>Data do kiedy</th>
                <th>Dni dostępu w tygodniu</th>
            </tr>
            {% for row in prv %}
            {% set id = users_id_users | int %}
            {% if row.users_id_users == id %}
            <tr>
                <td>{{ imie }} {{ nazwisko }}</td>
                <td>{{ row.id_privileges }}</td>
                <td>{{ row.room_name }}</td>
                <td>{{ row.data_start }}</td>
                <td>{{ row.data_end }}</td>
                <td>
                    {% for day_row in dni %}
                        {% if day_row.privileges_id_privileges == row.id_privileges %}
                            {% if day_row.monday == True %}
                                Poniedziałek,
                            {% endif %}
                            {% if day_row.tuesday == True %}
                                Wtorek,
                            {% endif %}
                            {% if day_row.wednesday == True %}
                                Środa,
                            {% endif %}
                            {% if day_row.thurdsday == True %}
                                Czwartek,
                            {% endif %}
                            {% if day_row.friday == True %}
                                Piątek,
                            {% endif %}
                            {% if day_row.saturday == True %}
                                Sobota,
                            {% endif %}
                            {% if day_row.sunday == True %}
                                Niedziela
                            {% endif %}
                        {% endif %}
                    {% endfor %}
                </td>
            </tr>
            {% endif %}
            {% endfor %}
        </table>
    </div>
{% endblock %}

{% block scripts %} {% endblock %}